Subject: bug#6755: 24.0.50; Customize buffer is too wide. Put doc string on separate line.

From: Mauro Aranda <[email-masked]>
Date: Sat, 21 Sep 2019 14:04:00 -0300

Drew Adams <[email-masked]> writes:

> OP, here.

Hello.

> FWIW, this enhancement request (or bug report)
> did not ask for the doc string to be filled.  It
> asked for it to be moved to its own line.  Those
> are not at all the same thing.

I see.  When I read the bug report, I thought it was just a suggestion to
fix the problem of the customize buffer getting too wide.  Perhaps I was
wrong.

> But that's not a fulfillment of _this_ enhancement
> request (or bug fix).  What's needed for this report
> is to move the doc string to its own line.  Can that
> please be done, or at least considered?

May I ask you then, what is the :format option missing for this situation?

For example, if one of the const types of the defcustom you provided
had the following format-string:
(const
 :tag
 "Update `*Completions*' incrementally if already displayed"
 :format "\n%t\n%d"
 t)

then the tag would go to its own line.  And that avoids making the
customize buffer too wide.

> And if you _also_ want to consider filling the doc
> string (that should be a separate enhancement
> request), please do _not_ do so systematically.  Let
> users choose to do that (opt in), with a user option.

I take all the points you raised about the filling option, but I think
it might be better to at least postpone that discussion.